| 0.9.9 API documentation

- Main Page
- Modules
- Files

- File List

Functions
reciprocal.hpp File Reference

GLM_GTC_reciprocal More...

Go to the source code of this file.

## Functions
template<typename genType >
GLM_FUNC_DECL genType | acot (genType x)
| Inverse cotangent function. More...
template<typename genType >
GLM_FUNC_DECL genType | acoth (genType x)
| Inverse cotangent hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | acsc (genType x)
| Inverse cosecant function. More...
template<typename genType >
GLM_FUNC_DECL genType | acsch (genType x)
| Inverse cosecant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | asec (genType x)
| Inverse secant function. More...
template<typename genType >
GLM_FUNC_DECL genType | asech (genType x)
| Inverse secant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | cot (genType angle)
| Cotangent function. More...
template<typename genType >
GLM_FUNC_DECL genType | coth (genType angle)
| Cotangent hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | csc (genType angle)
| Cosecant function. More...
template<typename genType >
GLM_FUNC_DECL genType | csch (genType angle)
| Cosecant hyperbolic function. More...
template<typename genType >
GLM_FUNC_DECL genType | sec (genType angle)
| Secant function. More...
template<typename genType >
GLM_FUNC_DECL genType | sech (genType angle)
| Secant hyperbolic function. More...

## Detailed Description

GLM_GTC_reciprocal

See also
  Core features (dependence)

Definition in file reciprocal.hpp.